List sandboxes
List sandboxes for the authenticated organization. Results can be filtered by state and sorted by creation time or current state.
List sandboxes for the authenticated organization. Results can be filtered by state and sorted by creation time or current state.
Authorization
BearerAuth API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Query Parameters
Filter results by sandbox state.
"starting" | "snapshotting" | "running" | "paused" | "unpausing" | "deleting"Field used to sort results.
"created_at""created_at" | "state"Sort direction.
"desc""asc" | "desc"1-based results page.
11 <= valueNumber of items per page.
201 <= value <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://api.leap0.dev/v1/sandboxes"{ "items": [ { "id": "sbx-abc123", "template_id": "string", "pod_id": "string", "state": "starting", "launch_time": "2019-08-24T14:15:22Z", "state_change_time": "2019-08-24T14:15:22Z", "timeout_at": 0, "created_at": "2019-08-24T14:15:22Z" } ], "total_items": 0}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}Restore a snapshot POST
Create a new sandbox from a previously saved snapshot. The restored sandbox reuses the snapshot's template, CPU, memory, and disk settings. `timeout` auto-pause behavior and network policy can be overridden at restore time.
Create a presigned URL POST
Create a temporary public URL for a specific sandbox port. The returned `token` is only returned once and is stored server-side as a SHA-256 hash. The URL resolves to `https://<token>.leap0.app` in production, or the matching environment-specific presigned domain in non-production stacks.

